summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ozan Türkyılmaz2012-05-05 18:15:12 +0200
committer Erik Hanson2012-05-07 19:18:07 +0200
commit104ac70af1e7e5961a5ecdb7829ebc3ef71d1197 (patch)
treed33f174464020c6ba2b1f72d8272c8f6671e9c18
parentc9cc80e4c06c14e4f6e9f9324ddbcb7c3ab3d19d (diff)
downloadslackbuilds-104ac70af1e7e5961a5ecdb7829ebc3ef71d1197.tar.gz
games/fortune-ASR: Added (Quotes from Alt.Sysadmin.Recovery)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--games/fortune-ASR/README6
-rw-r--r--games/fortune-ASR/fortune-ASR.SlackBuild67
-rw-r--r--games/fortune-ASR/fortune-ASR.info10
-rw-r--r--games/fortune-ASR/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/games/fortune-ASR/README b/games/fortune-ASR/README
new file mode 100644
index 0000000000..e9c3448a48
--- /dev/null
+++ b/games/fortune-ASR/README
@@ -0,0 +1,6 @@
+Quotes from Alt.Sysadmin.Recovery
+
+It includes quotes about computers, life and anything else from
+sysadmins and regulars at Alt.Sysadmin.Recovery.
+
+They're collected by Heather Garvey, BOFH.
diff --git a/games/fortune-ASR/fortune-ASR.SlackBuild b/games/fortune-ASR/fortune-ASR.SlackBuild
new file mode 100644
index 0000000000..fdd6d3efbf
--- /dev/null
+++ b/games/fortune-ASR/fortune-ASR.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for fortune-ASR
+# Written by Ozan Türkyılmaz <ozan.turkyilmazATgmail.com>
+
+# Copyright 2011 Ozan Türkyılmaz İstanbul, TUR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=fortune-ASR
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# It is not arch spesific.
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tar.gz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/games/fortune
+cp $PRGNAM $PKG/usr/share/games/fortune
+cp $PRGNAM.dat $PKG/usr/share/games/fortune
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fortune-ASR/fortune-ASR.info b/games/fortune-ASR/fortune-ASR.info
new file mode 100644
index 0000000000..4c8b0267f1
--- /dev/null
+++ b/games/fortune-ASR/fortune-ASR.info
@@ -0,0 +1,10 @@
+PRGNAM="fortune-ASR"
+VERSION="1.0.0"
+HOMEPAGE="http://home.xnet.com/~raven/Sysadmin/ASR.Quotes.html"
+DOWNLOAD="http://web.itu.edu.tr/turkyilma1/fortune-ASR.tar.gz"
+MD5SUM="ec391779f47328e22b088e6956d10dd1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
+APPROVED="dsomero"
diff --git a/games/fortune-ASR/slack-desc b/games/fortune-ASR/slack-desc
new file mode 100644
index 0000000000..d00c39dff0
--- /dev/null
+++ b/games/fortune-ASR/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fortune-ASR: fortune-ASR (Quotes from Alt.Sysadmin.Recovery)
+fortune-ASR:
+fortune-ASR: It includes quotes about computers, life and anything else from
+fortune-ASR: sysadmins and regulars at Alt.Sysadmin.Recovery.
+fortune-ASR:
+fortune-ASR: They're collected by Heather Garvey, BOFH.
+fortune-ASR:
+fortune-ASR:
+fortune-ASR:
+fortune-ASR:
+fortune-ASR: